package org.average.ykneocr;

import java.util.Random;

import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.preference.PreferenceManager;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.content.DialogInterface;
import android.text.Html;
import android.util.Log;
import android.view.View;
import android.widget.TextView;
import android.widget.RadioButton;

import org.average.ykneocr.QueryCrToken;

public class Enroll extends Activity {

	private final String TAG = getClass().getName();

	private static boolean waitingForResult = false;
	private static SharedPreferences prefs;
	private static int slot;

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		Log.v(TAG, "Starting");
		prefs = PreferenceManager.getDefaultSharedPreferences(this);
	}

	@Override
	protected void onResume() {
		super.onResume();
		setContentView(R.layout.main);
		TextView tv = (TextView)findViewById(R.id.info);
		tv.setText(Html.fromHtml(getString(R.string.info)));
		slot = prefs.getInt("slot_number", -1);
		Log.v(TAG, "found saved slot value " + slot);
		RadioButton btn = null;
		switch (slot) {
		case 1: btn = (RadioButton)findViewById(R.id.slot_1);
			break;
		case 2: btn = (RadioButton)findViewById(R.id.slot_2);
			break;
		}
		if (btn != null) btn.setChecked(true);
	}

	public void onSlotSelectionClicked(View view) {
		Log.v(TAG, "Radio Button selected");
		if (! ((RadioButton) view).isChecked()) return;
		switch(view.getId()) {
		case R.id.slot_1: slot=1; break;
		case R.id.slot_2: slot=2; break;
		}
		Editor editor = prefs.edit();
		editor.putInt("slot_number", slot);
		editor.commit();
		Log.v(TAG, "stored slot number " + slot);
	}
}
